### Class

# GdkWaylandWaylandPopup

#### Description [src]

    final class GdkWayland.WaylandPopup : GdkWayland.WaylandSurface
      implements Gdk.Popup {
      /* No available fields */
    }

The Wayland implementation of `GdkPopup`.

#### Ancestors

- GdkWaylandSurface
- GdkSurface
- GObject

#### Implements

- GdkPopup

#### Instance methods

##### Methods inherited from GdkWaylandSurface (1)

###### gdk_wayland_surface_get_wl_surface

Returns the Wayland `wl_surface` of a `GdkSurface`.

##### Methods inherited from GdkSurface (25)

Please see GdkSurface for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GdkPopup (7)

###### gdk_popup_get_autohide

Returns whether this popup is set to hide on outside clicks.

###### gdk_popup_get_parent

Returns the parent surface of a popup.

###### gdk_popup_get_position_x

Obtains the position of the popup relative to its parent.

###### gdk_popup_get_position_y

Obtains the position of the popup relative to its parent.

###### gdk_popup_get_rect_anchor

Gets the current popup rectangle anchor.

###### gdk_popup_get_surface_anchor

Gets the current popup surface anchor.

###### gdk_popup_present

Present `popup` after having processed the `GdkPopupLayout` rules.

#### Properties

##### Properties inherited from GdkSurface (8)

###### Gdk.Surface:cursor

The mouse pointer for the `GdkSurface`.

###### Gdk.Surface:display

The `GdkDisplay` connection of the surface.

###### Gdk.Surface:frame-clock

The `GdkFrameClock` of the surface.

###### Gdk.Surface:height

The height of the surface, in pixels.

###### Gdk.Surface:mapped

Whether the surface is mapped.

###### Gdk.Surface:scale

The scale of the surface.

since: 4.12

###### Gdk.Surface:scale-factor

The scale factor of the surface.

###### Gdk.Surface:width

The width of the surface in pixels.

##### Properties inherited from GdkPopup (2)

###### Gdk.Popup:autohide

Whether to hide on outside clicks.

###### Gdk.Popup:parent

The parent surface.

#### Signals

##### Signals inherited from GdkSurface (5)

###### GdkSurface::enter-monitor

Emitted when `surface` starts being present on the monitor.

###### GdkSurface::event

Emitted when GDK receives an input event for `surface`.

###### GdkSurface::layout

Emitted when the size of `surface` is changed, or when relayout should be performed.

###### GdkSurface::leave-monitor

Emitted when `surface` stops being present on the monitor.

###### GdkSurface::render

Emitted when part of the surface needs to be redrawn.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.